<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/bdd/conectar.php');

$peticion='SGAInformacionPackingList#'.$_SESSION['empresa'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

if($_GET['accion']=="liberar") {

	$temp=$conexionBdd->prepare("UPDATE ".$mysqlPrefix."PackingList SET Cerrada=now() WHERE NOrden=? AND Abierta>'0000-00-00' AND Cerrada='0000-00-00' AND Usuario=?");
	$temp->execute(array($_GET['orden'],$_SESSION['usuario']['Usuario']));
	
	?><script>window.location="packing-lists.php";</script><?php

}

?>
<h2>Packing Lists en curso <img src="<?php echo DIR_IMAGENES; ?>/botones/reresh.png" alt="Refrescar" class="refrescar"/></h2>

<table class="tablaFormateada anchoMaximo">
	<tr>
		<th>Nº Packing List</th>
		<th>Fecha</th>
		<th>Cliente</th>
		<th>Destino</th>
        <th>Carga</th>
		<th>Ordenes de Preparación</th>
        <th>Usuario</th>
	  </tr>
    <?php
    foreach(arreglaArrayPXMobileProxiumResult($resultado) as $orden) {
		if($orden['PackingList']) {
			$temp=$conexionBdd->prepare("SELECT * FROM ".$mysqlPrefix."PackingList WHERE NOrden=? AND Abierta>'0000-00-00' AND Cerrada='0000-00-00'");
			$temp->execute(array($orden['PackingList']));
			$datos=$temp->fetch();
			?>
			<tr class="lineaOrden<?php if($datos['Usuario']==$_SESSION['usuario']['Usuario']) { ?> verde fondoVerde<?php } ?> clicable" orden="<?php echo $orden['PackingList']; ?>">
				<td><?php echo $orden['PackingList']; ?></td>
				<td><?php echo fechaNacional($orden['Fecha']); ?></td>
				<td><?php echo $orden['ClienteNombre']; ?></td>
				<td><?php echo $orden['NombreDestino']; ?></td>
				<td><?php echo $orden['CargaCamion']; ?></td>
				<td>
				<?php
				$preparaciones=arreglaArrayPXMobileProxiumResult($orden['Preparaciones']);
				foreach($preparaciones as $preparacion) {
					?><span class="<?php if($preparacion['Estado']!='Cerrada') { $todasPreparacionesCerradas=false; $preparacionesPendientes[]=$preparacion['Oprep']; ?>error<?php } ?>"><?php echo $preparacion['Oprep']; ?></span><br /><?php
				}
				?>
                </td>
				<td><?php echo $datos['Usuario']; ?></td>
			  </tr>
		<?php } ?>
    <?php } ?>
</table>
    

<script>

$(document).ready(function() {

	$('.refrescar').on("click",function(e) {
		$('#popupCargando').show();
		window.location=window.location;
	});
	
	$('.lineaOrden').on("click",function(e) {
		$('#popupCargando').show();
		window.location="packing-list.php?orden="+$(this).attr('orden');
	});

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/bdd/desconectar.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
